Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.designer.cs	(revision 315)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.designer.cs	(revision 316)
@@ -45,14 +45,16 @@
             this.panel1 = new System.Windows.Forms.Panel();
             this.btnLineDel = new System.Windows.Forms.Button();
             this.btnLineAdd = new System.Windows.Forms.Button();
+            this.btnDispDown = new System.Windows.Forms.Button();
+            this.btnDispUp = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.btnDataSelect = new System.Windows.Forms.Button();
+            this.groupBoxEx1 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
+            this.lblSelectName = new System.Windows.Forms.Label();
             this.dgvItemList = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.dataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.dataGridViewTextBoxColumn4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.btnDispDown = new System.Windows.Forms.Button();
-            this.btnDispUp = new System.Windows.Forms.Button();
-            this.btnEnd = new System.Windows.Forms.Button();
-            this.btnDataSelect = new System.Windows.Forms.Button();
             this.dgvComponentList = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.Column0 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -61,6 +63,7 @@
             this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.panel1.SuspendLayout();
+            this.groupBoxEx1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvItemList)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvComponentList)).BeginInit();
             this.SuspendLayout();
@@ -112,9 +115,9 @@
             this.panel1.Controls.Add(this.dgvItemList);
             this.panel1.Controls.Add(this.btnDispDown);
             this.panel1.Controls.Add(this.btnDispUp);
-            this.panel1.Location = new System.Drawing.Point(601, 40);
+            this.panel1.Location = new System.Drawing.Point(601, 92);
             this.panel1.Name = "panel1";
-            this.panel1.Size = new System.Drawing.Size(610, 602);
+            this.panel1.Size = new System.Drawing.Size(610, 550);
             this.panel1.TabIndex = 50;
             // 
             // btnLineDel
@@ -123,7 +126,7 @@
             this.btnLineDel.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
             this.btnLineDel.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnLineDel.ForeColor = System.Drawing.Color.Black;
-            this.btnLineDel.Location = new System.Drawing.Point(486, 566);
+            this.btnLineDel.Location = new System.Drawing.Point(486, 516);
             this.btnLineDel.Name = "btnLineDel";
             this.btnLineDel.Size = new System.Drawing.Size(120, 30);
             this.btnLineDel.TabIndex = 54;
@@ -137,7 +140,7 @@
             this.btnLineAdd.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
             this.btnLineAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnLineAdd.ForeColor = System.Drawing.Color.Black;
-            this.btnLineAdd.Location = new System.Drawing.Point(358, 566);
+            this.btnLineAdd.Location = new System.Drawing.Point(358, 516);
             this.btnLineAdd.Name = "btnLineAdd";
             this.btnLineAdd.Size = new System.Drawing.Size(120, 30);
             this.btnLineAdd.TabIndex = 53;
@@ -145,6 +148,87 @@
             this.btnLineAdd.UseVisualStyleBackColor = false;
             this.btnLineAdd.Click += new System.EventHandler(this.btnLineAdd_Click);
             // 
+            // btnDispDown
+            // 
+            this.btnDispDown.BackColor = System.Drawing.Color.Gainsboro;
+            this.btnDispDown.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.btnDispDown.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDispDown.ForeColor = System.Drawing.Color.Black;
+            this.btnDispDown.Location = new System.Drawing.Point(559, 295);
+            this.btnDispDown.Name = "btnDispDown";
+            this.btnDispDown.Size = new System.Drawing.Size(40, 40);
+            this.btnDispDown.TabIndex = 51;
+            this.btnDispDown.TabStop = false;
+            this.btnDispDown.Text = "▼";
+            this.btnDispDown.UseVisualStyleBackColor = false;
+            this.btnDispDown.Click += new System.EventHandler(this.btnDispDown_Click);
+            // 
+            // btnDispUp
+            // 
+            this.btnDispUp.BackColor = System.Drawing.Color.Gainsboro;
+            this.btnDispUp.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.btnDispUp.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDispUp.ForeColor = System.Drawing.Color.Black;
+            this.btnDispUp.Location = new System.Drawing.Point(559, 231);
+            this.btnDispUp.Name = "btnDispUp";
+            this.btnDispUp.Size = new System.Drawing.Size(40, 40);
+            this.btnDispUp.TabIndex = 50;
+            this.btnDispUp.TabStop = false;
+            this.btnDispUp.Text = "▲";
+            this.btnDispUp.UseVisualStyleBackColor = false;
+            this.btnDispUp.Click += new System.EventHandler(this.btnDispUp_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(1090, 650);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 6;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // btnDataSelect
+            // 
+            this.btnDataSelect.BackColor = System.Drawing.Color.SpringGreen;
+            this.btnDataSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDataSelect.ForeColor = System.Drawing.Color.Black;
+            this.btnDataSelect.Location = new System.Drawing.Point(428, 650);
+            this.btnDataSelect.Name = "btnDataSelect";
+            this.btnDataSelect.Size = new System.Drawing.Size(120, 30);
+            this.btnDataSelect.TabIndex = 51;
+            this.btnDataSelect.TabStop = false;
+            this.btnDataSelect.Text = "選　択";
+            this.btnDataSelect.UseVisualStyleBackColor = false;
+            this.btnDataSelect.Click += new System.EventHandler(this.btnDataSelect_Click);
+            // 
+            // groupBoxEx1
+            // 
+            this.groupBoxEx1.BackColor = System.Drawing.Color.Beige;
+            this.groupBoxEx1.BorderColor = System.Drawing.Color.Silver;
+            this.groupBoxEx1.Controls.Add(this.lblSelectName);
+            this.groupBoxEx1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.groupBoxEx1.ForeColor = System.Drawing.Color.Black;
+            this.groupBoxEx1.Location = new System.Drawing.Point(601, 40);
+            this.groupBoxEx1.Name = "groupBoxEx1";
+            this.groupBoxEx1.Size = new System.Drawing.Size(610, 50);
+            this.groupBoxEx1.TabIndex = 52;
+            this.groupBoxEx1.TabStop = false;
+            this.groupBoxEx1.Text = "選択中大項目";
+            // 
+            // lblSelectName
+            // 
+            this.lblSelectName.BackColor = System.Drawing.Color.White;
+            this.lblSelectName.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblSelectName.Location = new System.Drawing.Point(4, 18);
+            this.lblSelectName.Name = "lblSelectName";
+            this.lblSelectName.Size = new System.Drawing.Size(600, 27);
+            this.lblSelectName.TabIndex = 0;
+            this.lblSelectName.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
             // dgvItemList
             // 
             this.dgvItemList.AllowUserToAddRows = false;
@@ -172,9 +256,8 @@
             this.dgvItemList.Name = "dgvItemList";
             this.dgvItemList.RowHeadersWidth = 20;
             this.dgvItemList.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
-            this.dgvItemList.RowTemplate.Height = 21;
             this.dgvItemList.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
-            this.dgvItemList.Size = new System.Drawing.Size(540, 557);
+            this.dgvItemList.Size = new System.Drawing.Size(540, 510);
             this.dgvItemList.TabIndex = 52;
             // 
             // dataGridViewTextBoxColumn1
@@ -214,63 +297,6 @@
             this.dataGridViewTextBoxColumn4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.dataGridViewTextBoxColumn4.Width = 440;
             // 
-            // btnDispDown
-            // 
-            this.btnDispDown.BackColor = System.Drawing.Color.Gainsboro;
-            this.btnDispDown.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.btnDispDown.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnDispDown.ForeColor = System.Drawing.Color.Black;
-            this.btnDispDown.Location = new System.Drawing.Point(559, 295);
-            this.btnDispDown.Name = "btnDispDown";
-            this.btnDispDown.Size = new System.Drawing.Size(40, 40);
-            this.btnDispDown.TabIndex = 51;
-            this.btnDispDown.TabStop = false;
-            this.btnDispDown.Text = "▼";
-            this.btnDispDown.UseVisualStyleBackColor = false;
-            this.btnDispDown.Click += new System.EventHandler(this.btnDispDown_Click);
-            // 
-            // btnDispUp
-            // 
-            this.btnDispUp.BackColor = System.Drawing.Color.Gainsboro;
-            this.btnDispUp.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.btnDispUp.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnDispUp.ForeColor = System.Drawing.Color.Black;
-            this.btnDispUp.Location = new System.Drawing.Point(559, 231);
-            this.btnDispUp.Name = "btnDispUp";
-            this.btnDispUp.Size = new System.Drawing.Size(40, 40);
-            this.btnDispUp.TabIndex = 50;
-            this.btnDispUp.TabStop = false;
-            this.btnDispUp.Text = "▲";
-            this.btnDispUp.UseVisualStyleBackColor = false;
-            this.btnDispUp.Click += new System.EventHandler(this.btnDispUp_Click);
-            // 
-            // btnEnd
-            // 
-            this.btnEnd.BackColor = System.Drawing.Color.Blue;
-            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnEnd.ForeColor = System.Drawing.Color.White;
-            this.btnEnd.Location = new System.Drawing.Point(1090, 650);
-            this.btnEnd.Name = "btnEnd";
-            this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 6;
-            this.btnEnd.Text = "終　了";
-            this.btnEnd.UseVisualStyleBackColor = false;
-            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
-            // 
-            // btnDataSelect
-            // 
-            this.btnDataSelect.BackColor = System.Drawing.Color.SpringGreen;
-            this.btnDataSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnDataSelect.ForeColor = System.Drawing.Color.Black;
-            this.btnDataSelect.Location = new System.Drawing.Point(428, 650);
-            this.btnDataSelect.Name = "btnDataSelect";
-            this.btnDataSelect.Size = new System.Drawing.Size(120, 30);
-            this.btnDataSelect.TabIndex = 51;
-            this.btnDataSelect.TabStop = false;
-            this.btnDataSelect.Text = "選　択";
-            this.btnDataSelect.UseVisualStyleBackColor = false;
-            this.btnDataSelect.Click += new System.EventHandler(this.btnDataSelect_Click);
-            // 
             // dgvComponentList
             // 
             this.dgvComponentList.AllowUserToAddRows = false;
@@ -392,6 +418,7 @@
             this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1220, 687);
+            this.Controls.Add(this.groupBoxEx1);
             this.Controls.Add(this.btnDataSelect);
             this.Controls.Add(this.panel1);
             this.Controls.Add(this.dgvComponentList);
@@ -412,6 +439,7 @@
             this.Load += new System.EventHandler(this.FrmComponentLink_Load);
             this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmComponentLink_KeyDown);
             this.panel1.ResumeLayout(false);
+            this.groupBoxEx1.ResumeLayout(false);
             ((System.ComponentModel.ISupportInitialize)(this.dgvItemList)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvComponentList)).EndInit();
             this.ResumeLayout(false);
@@ -441,5 +469,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
+        private GroupBoxEx groupBoxEx1;
+        private System.Windows.Forms.Label lblSelectName;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintConfirmation.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintConfirmation.cs	(revision 315)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintConfirmation.cs	(revision 316)
@@ -102,6 +102,11 @@
         /// ツールチップ
         /// </summary>
         private ToolTip ToolTip1 = new ToolTip();
+
+        /// <summary>
+        /// 処理名称
+        /// </summary>
+        private string m_ProcessName = string.Empty;
         #endregion
 
         #region プロパティ
@@ -164,7 +169,29 @@
             get { return m_bDatePrintFlg; }
             set { m_bDatePrintFlg = value; }
         }
+
+        /// <summary>
+        /// 処理名称
+        /// </summary>
+        public string ProcessName
+        {
+            get { return m_ProcessName; }
+            set { m_ProcessName = value; }
+        }
+
+        #region 印刷範囲グループボックス表示制御
+        /// <summary>
+        /// 印刷範囲グループボックス表示制御
+        /// </summary>
+        public bool DispRenge
+        {
+            set
+            {
+                DispCtrlRenge(value);
+            }
+        }
         #endregion
+        #endregion
 
         #region ×ボタン
         /// <summary>
@@ -303,6 +330,10 @@
                 string strProcess = ClsExcute.ProcessExecuteName[m_ExecuteProcNo];
                 switch(m_ExecuteProcNo)
                 {
+                    case (int)ClsExcute.ProcessExecuteNo.MainMenu:
+                        // メニュー指定時は文字列をそのままセット
+                        label2.Text = m_ProcessName + "　印　刷";
+                        break;
                     case (int)ClsExcute.ProcessExecuteNo.DRConstruction:
                     case (int)ClsExcute.ProcessExecuteNo.Proceedings:
                         label2.Text = strProcess.Substring(0, strProcess.IndexOf("－")) + "印刷";
@@ -390,5 +421,22 @@
             }
         }
         #endregion
+
+        #region 印刷範囲グループボックス表示制御
+        /// <summary>
+        /// 印刷範囲グループボックス表示制御
+        /// </summary>
+        private void DispCtrlRenge(bool bDispFlg)
+        {
+            try
+            {
+                groupBox3.Visible = bDispFlg;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 315)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 316)
@@ -3374,32 +3374,19 @@
             try
             {
                 DataGridView dgv = dgvPersonApp;
-                int CurRowCnt = 0;
 
-                int iPersonCode = 0;
-                int iApprovalCode = 0;
-                DateTime OrderDate = DateTime.MinValue;
-                int iOrderNo = 0;
-                DateTime ApprovalEntryDate = DateTime.MinValue;
-                DateTime ApprovalLimitDates = DateTime.MinValue;
-
-                string strKey1 = string.Empty;
-                string strKey2 = string.Empty;
-                string petitionDetail = string.Empty;
-                DateTime wrkdt = DateTime.Now;
                 // 先頭レコードを取得
                 object[] objwrk = (object[])BufferList[0];
 
                 // データ取得
-                iPersonCode = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.PersonCode]);                  // 担当者番号
-                iApprovalCode = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.ApprovalCode]);              // 承認機能番号
-                OrderDate = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.OrderDate]);                    // 受付日
-                iOrderNo = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.OrderNo]);                        // 受付番号
+                int iPersonCode = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.PersonCode]);                  // 担当者番号
+                int iApprovalCode = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.ApprovalCode]);              // 承認機能番号
+                DateTime OrderDate = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.OrderDate]);               // 受付日
+                int iOrderNo = CommonMotions.cnvInt(objwrk[(int)PersonAppDataList.OrderNo]);                        // 受付番号
 
-                ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.EntryDate]);             // 申請日付
-                ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.ApprovalLimitDates].ToString());    // 承認希望日
+                DateTime ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.EntryDate]);       // 申請日付
+                DateTime ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)PersonAppDataList.ApprovalLimitDates].ToString());    // 承認希望日
 
-
                 string strLimitDate = string.Empty;
                 if (ApprovalLimitDates != DateTime.MinValue) strLimitDate = ApprovalLimitDates.ToShortDateString();
 
@@ -3412,8 +3399,10 @@
                     BreakCode = iApprovalCode;
                 }
 
-                strKey1 = string.Empty;
-                strKey2 = string.Empty;
+                string strKey1 = string.Empty;
+                string strKey2 = string.Empty;
+                string petitionDetail = string.Empty;
+                DateTime wrkdt = DateTime.Now;
                 switch (iApprovalCode)
                 {
                     case (int)ClsExcute.ApprovalListNo.DRWorkApproval:                      // 出勤日報申請
@@ -3442,7 +3431,7 @@
                         break;
                 }
                 // データセット
-                CurRowCnt = dgv.Rows.Add(iPersonCode,
+                int CurRowCnt = dgv.Rows.Add(iPersonCode,
                                                 iApprovalCode,
                                                 OrderDate,
                                                 iOrderNo,
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 315)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 316)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.1.34")]
-[assembly: AssemblyFileVersion("1.0.1.34")]
+[assembly: AssemblyVersion("1.0.1.37")]
+[assembly: AssemblyFileVersion("1.0.1.37")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
